using System.Web.Http;
using Owin;
using System.Web.Http.Cors;

namespace ImageUploadApi
{
    public class Startup
    {
        public void Configuration(IAppBuilder app)
        {
            // 配置Web API
            var config = new HttpConfiguration();

            // 启用CORS
            var cors = new EnableCorsAttribute("*", "*", "*");
            config.EnableCors(cors);

            // 配置路由
            config.MapHttpAttributeRoutes();
            config.Routes.MapHttpRoute(
                name: "DefaultApi",
                routeTemplate: "api/{controller}/{action}/{id}",
                defaults: new { id = RouteParameter.Optional }
            );

            // 配置JSON序列化
            var json = config.Formatters.JsonFormatter;
            json.SerializerSettings.PreserveReferencesHandling = Newtonsoft.Json.PreserveReferencesHandling.Objects;
            config.Formatters.Remove(config.Formatters.XmlFormatter);

            app.UseWebApi(config);
        }
    }
} 